function Create(self)
    self.timer = nil;
	self.refreshtimer = Timer();
    self.height = 0;
	if self.PresetName == "Field Module R" then
		self.targetPos = Vector(self.Pos.X + 12,self.Pos.Y + 24);
	else
		self.targetPos = Vector(self.Pos.X - 12,self.Pos.Y + 24);
	end
	self.on = true;
	self.todraw = true;
	
	function self.draw(on)
		if on == true then
			local start,endp = 0,0;
			if self.height <= 48 then
				start = -12;
				endp = 12;
			else
				self.todraw = false;
			end
			if self.todraw == true then
				for i = start, endp, 1 do
					local pix = CreateMOPixel("Invisiparticle");
					local ppos = Vector(self.targetPos.X + i,self.targetPos.Y + -1*self.height);
					if SceneMan:GetTerrMatter(ppos.X,ppos.Y) == 0 then
						pix.Pos = ppos;
						MovableMan:AddParticle(pix);
						pix.ToSettle = true;
					end
				end
				self.height = self.height + 1;
			else
				self.height = 0;
			end
		end
	end
end

function Update(self)
	self.ToSettle = false;
	self:EraseFromTerrain();
	self.Vel = Vector(0,0);
    if self.on == true then
		self.draw(self.todraw);
	end
	if self.refreshtimer:IsPastSimMS(5000) == true then
		self.refreshtimer:Reset();
		self.todraw = true;
	end
end